#! /bin/sh

### BEGIN INIT INFO
# Provides:          sinfo
# Required-Start:    $network $local_fs $remote_fs
# Required-Stop:     $network $local_fs $remote_fs
# Should-Start:      $named 
# Should-Stop:       $named
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: start sinfod
# Description:       start sinfod
### END INIT INFO


PATH=/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/usr/sbin/sinfod
NAME=sinfod
DESC=sinfo

# default:
OPTS=""
CHUID="daemon"

# source LSB init functions
. /lib/lsb/init-functions

if test -f /etc/default/sinfo; then
    . /etc/default/sinfo
fi

test -f $DAEMON || exit 0

if [ "$RUN_SINFO" = 0 ]; then
  echo "Modify /etc/default/sinfo to start the sinfo daemon upon startup"
  exit 0
fi

set -e

case "$1" in
  start)
	echo -n "Starting $DESC: $NAME"
	start-stop-daemon \
		--start \
		--chuid $CHUID \
		--quiet \
		--name $NAME \
		--exec $DAEMON -- $OPTS
	echo "."
	;;
  stop)
	echo -n "Stopping $DESC: $NAME"
	start-stop-daemon \
		--stop \
		--chuid $CHUID \
		--quiet \
		--oknodo \
		--retry 3 \
		--name $NAME  \
		--exec $DAEMON
	echo "."
	;;
  #reload)
	#
	#	If the daemon can reload its config files on the fly
	#	for example by sending it SIGHUP, do it here.
	#
	#	If the daemon responds to changes in its config file
	#	directly anyway, make this a do-nothing entry.
	#
	# echo "Reloading $DESC configuration files."
	# start-stop-daemon --stop --signal 1 --quiet --pidfile \
	#	/var/run/$NAME.pid --exec $DAEMON
  #;;
  restart|force-reload)
	#
	#	If the "reload" option is implemented, move the "force-reload"
	#	option to the "reload" entry above. If not, "force-reload" is
	#	just the same as "restart".
	#
	echo -n "Restarting $DESC: $NAME"
	start-stop-daemon \
		--stop \
		--chuid $CHUID \
		--quiet \
		--oknodo \
		--retry 3 \
		--name $NAME \
		--exec $DAEMON
	sleep 1
	start-stop-daemon \
		--start \
		--chuid $CHUID \
		--quiet \
		--name $NAME \
		--exec $DAEMON -- $OPTS
	echo "."
	;;
  *)
	N=/etc/init.d/$NAME
	# echo "Usage: $N {start|stop|restart|reload|force-reload}" >&2
	echo "Usage: $N {start|stop|restart|force-reload}" >&2
	exit 1
	;;
esac

exit 0
